import { XBaseContainer } from "./XBaseContainer";
import { IConfigStorage } from "../../Common/IConfigStorage";
import { XBaseControl } from "../Controls/XBaseControl";
export declare const OverlapDiv: import("styled-components").StyledComponent<"div", any, {
    selected?: boolean | undefined;
    border?: string | undefined;
}, never>;
export declare abstract class XBaseStackContainer extends XBaseContainer implements IConfigStorage {
    protected controls: XBaseControl[];
    innerMargin?: number;
    interControlSpacing?: number;
    add(control: XBaseControl, index?: number): void;
    remove(control: XBaseControl): void;
    setOrder(id: string, order: number): void;
    find(id: string): XBaseControl | null;
    getControls(): XBaseControl[];
    getStorageData(): object;
    setStorageData(data: object): void;
    getInnerMargin(): number | undefined;
}
